declare type ConsoleMessage = {
    message: string;
    underline: () => ConsoleMessage;
    italic: () => ConsoleMessage;
    bold: () => ConsoleMessage;
    print: () => void;
};
declare type ConsoleOutput<Output = string, Input = string> = (message: Input) => Output;
declare type ConsolePrinter = {
    font: {
        standard: ConsoleOutput<ConsoleMessage>;
        highlight: ConsoleOutput<ConsoleMessage>;
        info: ConsoleOutput<ConsoleMessage>;
        error: ConsoleOutput<ConsoleMessage>;
        success: ConsoleOutput<ConsoleMessage>;
        failure: ConsoleOutput<ConsoleMessage>;
    };
    decoration: {
        bold: ConsoleOutput;
        underline: ConsoleOutput;
        italic: ConsoleOutput;
    };
    util: {
        concatOutputs: ConsoleOutput<ConsoleMessage, string[]>;
    };
};
export declare const consolePrinter: ConsolePrinter;
export {};
