import * as RC from "../nodesecurerc.js";
import { consoleReporter } from "./console/index.js";
import { htmlReporter } from "./html/index.js";
function initializeReporter(reporter) {
    return reporter === RC.reporterTarget.CONSOLE
        ? consoleReporter
        : htmlReporter;
}
export async function runReporting(payload, rc) {
    const reportersTasks = rc.reporters.map((reporter) => {
        const { report } = initializeReporter(reporter);
        return report(payload);
    });
    await Promise.all(reportersTasks);
}
//# sourceMappingURL=runner.js.map